Chapter1 - importing timefighter failed because "deprecated gradle features were used"

Got the following error when trying to open the project files in android studio:

“Deprecated Gradle features were used in this build, making it incompatible with Gradle 6.0.”

Did I do something wrong here or are the book project files really out of date?

Tried to do it again and got this one, similarly;

Unsupported Modules Detected: Compilation is not supported for following modules: timefighter, app. Unfortunately you can’t have non-Gradle Java modules and Android-Gradle modules in one project.

Hey thatbeardo, welcome to the forums. :smile:

I’m sorry to hear you’re having issues on the very first chapter. You’re right about the sample project files being out of date. We’re planning on getting an update out to address this, although currently I have no details on dates.

In the meantime. I’ve opened up the chapter 1 project in Android Studio and managed to get it to build. The trick is to make sure Android Gradle Plugin is updated.

Android Studio should warn you if the project is using an older version of the plugin. It will look something like this:

When you see the popup, click the Update button. Android Studio will do all the hard work of updating the project and building it.

Once Android Studio is finished, run the project again. The app should now build.

Please let me know how you get on. If the instructions above don’t help, we can try something else.

Thank you,

Darryl